R4DCFG(8)

NAME
r4dcfg - Remote For Device-under-test (R4D) Configuration and Test Tool

SYNOPSIS
r4dcfg [-h] [-c CONFIG] [-v [VERBOSE]] [--show-db | --add-power | --poweron | --poweroff | --powercycle |
 --list-power | --add-serial | --list-serial | --add-board | --move-board |
 --delete-board | --list-boards | --add-rack | --list-racks]

DESCRIPTION
Remote For Device-under-test (R4D)

OPTIONS

-c CONFIG, --config CONFIG
    use configuration file CONFIG.

-h --help
    show a help message and exit.

-v , --verbose VERBOSITY
    enable verbose messages and set verbosity level to VERBOSITY. If no VERBOSITY is given the verbosity level is set to 1.

--show-db
    show DB

--add-power
    add a new power switch

--poweron
    power board

--poweroff
    poweroff board

--powercycle
    powercycle board

--list-power
    lists configured power switches

--add-serial
    add a new serial console server

--list-serial
    lists configured serial console servers

--add-board
    add a new board

--move-board
    move a board to another rack/slot

--delete-board
    delete board from DB

--list-boards
    list configured boards

--add-rack
    add a new rack

--list-racks
    list configured racks

AUTHOR
Benedikt Spranger (b.spranger@linutronix.de) Manuel Traut (m.traut@linutronix.de)